Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/RegisterFile_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/RegisterFile_allocation.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/RegisterFile_allocation.cpp	(revision 131)
@@ -3,9 +3,10 @@
  * $Id$
  *
- * [ Description ]
+ * [ Description ]
  * 
  */
 
 #include "Behavioural/Generic/RegisterFile/include/RegisterFile.h"
+#include "Behavioural/include/Allocation.h"
 
 namespace morpheo                    {
@@ -13,5 +14,4 @@
 namespace generic {
 namespace registerfile {
-
 
   void RegisterFile::allocation (
@@ -27,56 +27,38 @@
     log_printf(FUNC,RegisterFile,"allocation","Begin");
 
-    // ~~~~~[ Interface : "" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#ifdef SYSTEMCASS_SPECIFIC
+    // ~~~~~[ Interface : "" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
     {
-      in_CLOCK              = new SC_CLOCK           ("in_CLOCK" );
-      in_NRESET             = new SC_IN (Tcontrol_t) ("in_NRESET");
+      __ALLOC0_SIGNAL(in_CLOCK ,"in_CLOCK" ,SC_CLOCK          );
+      __ALLOC0_SIGNAL(in_NRESET,"in_NRESET",SC_IN (Tcontrol_t));
     }
-    // ~~~~~[ Interface : "read" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface : "read" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    {
+      __ALLOC1_INTERFACE_BEGIN("READ",_param->_nb_port_read);
 
-     in_READ_VAL         = new SC_IN (Tcontrol_t) * [_param->_nb_port_read];
-    out_READ_ACK         = new SC_OUT(Tcontrol_t) * [_param->_nb_port_read];
-    if (_param->_have_port_address == true)
-     in_READ_ADDRESS     = new SC_IN (Taddress_t) * [_param->_nb_port_read];
-    out_READ_DATA        = new SC_OUT(Tdata_t   ) * [_param->_nb_port_read];
+      __ALLOC1_SIGNAL_IN ( in_READ_VAL    ,"VAL"    ,Tcontrol_t);
+      __ALLOC1_SIGNAL_OUT(out_READ_ACK    ,"ACK"    ,Tcontrol_t);
+      if (_param->_have_port_address)
+      __ALLOC1_SIGNAL_IN ( in_READ_ADDRESS,"ADDRESS",Taddress_t);
+      __ALLOC1_SIGNAL_OUT(out_READ_DATA   ,"DATA"   ,Tdata_t   );
 
-    for (uint32_t i=0; i<_param->_nb_port_read; i++)
-      { 
-	rename =  "in_READ_"+toString(i)+"_VAL"    ;
-	 in_READ_VAL     [i]  = new SC_IN (Tcontrol_t) (rename.c_str());   
-	rename = "out_READ_"+toString(i)+"_ACK"    ;
-	out_READ_ACK     [i]  = new SC_OUT(Tcontrol_t) (rename.c_str());
-	if (_param->_have_port_address == true)
-	  {
-	rename =  "in_READ_"+toString(i)+"_ADDRESS";
-	 in_READ_ADDRESS [i]  = new SC_IN (Taddress_t) (rename.c_str());
-	  }
-	rename = "out_READ_"+toString(i)+"_DATA"   ;
-	out_READ_DATA    [i]  = new SC_OUT(Tdata_t   ) (rename.c_str());
-      }
+      __ALLOC1_INTERFACE_END(_param->_nb_port_read);
+    }
 
-    // ~~~~~[ Interface : "write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface : "write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    {
+      __ALLOC1_INTERFACE_BEGIN("WRITE",_param->_nb_port_write);
 
-     in_WRITE_VAL        = new SC_IN (Tcontrol_t) * [_param->_nb_port_write];
-    out_WRITE_ACK        = new SC_OUT(Tcontrol_t) * [_param->_nb_port_write];
-    if (_param->_have_port_address == true)
-     in_WRITE_ADDRESS    = new SC_IN (Taddress_t) * [_param->_nb_port_write];
-     in_WRITE_DATA       = new SC_IN (Tdata_t   ) * [_param->_nb_port_write];
-    
-    for (uint32_t i=0; i<_param->_nb_port_write; i++)
-      {
-	rename =  "in_WRITE_"+toString(i)+"_VAL"    ;
-	 in_WRITE_VAL     [i]  = new SC_IN (Tcontrol_t) (rename.c_str());
-	rename = "out_WRITE_"+toString(i)+"_ACK"    ;
-	out_WRITE_ACK     [i]  = new SC_OUT(Tcontrol_t) (rename.c_str());
-	if (_param->_have_port_address == true)
-	  {
-	rename =  "in_WRITE_"+toString(i)+"_ADDRESS";
-	 in_WRITE_ADDRESS [i]  = new SC_IN (Taddress_t) (rename.c_str());
-	  }
-	rename =  "in_WRITE_"+toString(i)+"_DATA"   ;
-	 in_WRITE_DATA    [i]  = new SC_IN (Tdata_t   ) (rename.c_str());
-      }
+      __ALLOC1_SIGNAL_IN ( in_WRITE_VAL    ,"VAL"    ,Tcontrol_t);
+      __ALLOC1_SIGNAL_OUT(out_WRITE_ACK    ,"ACK"    ,Tcontrol_t);
+      if (_param->_have_port_address)
+      __ALLOC1_SIGNAL_IN ( in_WRITE_ADDRESS,"ADDRESS",Taddress_t);
+      __ALLOC1_SIGNAL_IN ( in_WRITE_DATA   ,"DATA"   ,Tdata_t   );
 
-    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                                                                
+      __ALLOC1_INTERFACE_END(_param->_nb_port_write);
+    }
+#endif
+
+     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                                                                
     if (_param->_instance == instance_RegisterFile_Monolithic)
     // =====[ component_RegisterFile_Monolithic ]=========================
@@ -106,5 +88,6 @@
     // =====[ Component_RegisterFile_Monolithic - Instanciation ]=========
       {
-	(*(component_RegisterFile_Monolithic  ->in_CLOCK )) (*(in_CLOCK ));
+#ifdef SYSTEMCASS_SPECIFIC
+        (*(component_RegisterFile_Monolithic  ->in_CLOCK )) (*(in_CLOCK ));
 	(*(component_RegisterFile_Monolithic  ->in_NRESET)) (*(in_NRESET));
 	
@@ -126,8 +109,23 @@
 	    (*(component_RegisterFile_Monolithic  -> in_WRITE_DATA    [i])) (*( in_WRITE_DATA    [i]));
 	  }
+#else
+	 in_CLOCK         = component_RegisterFile_Monolithic-> in_CLOCK        ;
+	 in_NRESET        = component_RegisterFile_Monolithic-> in_NRESET       ;
+
+         in_READ_VAL      = component_RegisterFile_Monolithic-> in_READ_VAL     ;   
+        out_READ_ACK      = component_RegisterFile_Monolithic->out_READ_ACK     ;
+         in_READ_ADDRESS  = component_RegisterFile_Monolithic-> in_READ_ADDRESS ;
+        out_READ_DATA     = component_RegisterFile_Monolithic->out_READ_DATA    ;
+
+         in_WRITE_VAL     = component_RegisterFile_Monolithic-> in_WRITE_VAL    ;
+        out_WRITE_ACK     = component_RegisterFile_Monolithic->out_WRITE_ACK    ;
+         in_WRITE_ADDRESS = component_RegisterFile_Monolithic-> in_WRITE_ADDRESS;
+         in_WRITE_DATA    = component_RegisterFile_Monolithic-> in_WRITE_DATA   ;
+#endif
       }
     else
     // =====[ Component_RegisterFile_Multi_Banked - Instanciation ]=======
       {
+#ifdef SYSTEMCASS_SPECIFIC
 	(*(component_RegisterFile_Multi_Banked->in_CLOCK )) (*(in_CLOCK ));
 	(*(component_RegisterFile_Multi_Banked->in_NRESET)) (*(in_NRESET));
@@ -150,4 +148,19 @@
 	    (*(component_RegisterFile_Multi_Banked-> in_WRITE_DATA    [i])) (*( in_WRITE_DATA    [i]));
 	  }
+#else
+	 in_CLOCK         = component_RegisterFile_Multi_Banked-> in_CLOCK        ;
+	 in_NRESET        = component_RegisterFile_Multi_Banked-> in_NRESET       ;
+	
+         in_READ_VAL      = component_RegisterFile_Multi_Banked-> in_READ_VAL     ;   
+        out_READ_ACK      = component_RegisterFile_Multi_Banked->out_READ_ACK     ;
+         in_READ_ADDRESS  = component_RegisterFile_Multi_Banked-> in_READ_ADDRESS ;
+        out_READ_DATA     = component_RegisterFile_Multi_Banked->out_READ_DATA    ;
+        
+         in_WRITE_VAL     = component_RegisterFile_Multi_Banked-> in_WRITE_VAL    ;
+        out_WRITE_ACK     = component_RegisterFile_Multi_Banked->out_WRITE_ACK    ;
+         in_WRITE_ADDRESS = component_RegisterFile_Multi_Banked-> in_WRITE_ADDRESS;
+         in_WRITE_DATA    = component_RegisterFile_Multi_Banked-> in_WRITE_DATA   ;
+#endif
+
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/RegisterFile_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/RegisterFile_deallocation.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/RegisterFile_deallocation.cpp	(revision 131)
@@ -3,5 +3,5 @@
  * $Id$
  *
- * [ Description ]
+ * [ Description ]
  * 
  */
@@ -19,4 +19,5 @@
     log_printf(FUNC,RegisterFile,"deallocation","Begin");
 
+#ifdef SYSTEMCASS_SPECIFIC
     delete in_CLOCK;
     delete in_NRESET;
@@ -52,6 +53,7 @@
     delete []  in_WRITE_ADDRESS;
     delete []  in_WRITE_DATA   ;
+#endif
 
-    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
 //   delete _component;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 131)
@@ -69,5 +69,5 @@
 	SC_METHOD (transition);
 	dont_initialize ();
-	sensitive_pos << *(in_CLOCK);
+	sensitive << (*(in_CLOCK)).pos();
 #  endif
 	
@@ -76,5 +76,4 @@
 	SC_METHOD (genMealy_entity);
 	dont_initialize ();
-	//sensitive_pos << *(in_CLOCK);
 	for (uint32_t i=0; i<_param->_nb_entity; i++)
 	  sensitive << *(in_VAL [i]);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Victim_Pseudo_LRU.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Victim_Pseudo_LRU.h	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Victim_Pseudo_LRU.h	(revision 131)
@@ -116,4 +116,5 @@
 					       
 #ifdef SYSTEMC				       
+  public  : void     constant                  (void);
   public  : void     transition                (void);
   public  : void     genMealy                  (void);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU.cpp	(revision 131)
@@ -63,12 +63,13 @@
     if (usage_is_set(_usage,USE_SYSTEMC))
       {	
-    // Constant - ack is always at one
-    for (uint32_t i=0; i<_param->_nb_access; i++)
-      {
-	internal_ACCESS_ACK [i] = 1;
-	PORT_WRITE (out_ACCESS_ACK [i], internal_ACCESS_ACK [i]);
-      }
+    log_printf(TRACE,Victim_Pseudo_LRU,"Victim_Pseudo_LRU","Definition of sc_method");
 
-    log_printf(TRACE,Victim_Pseudo_LRU,"Victim_Pseudo_LRU","Definition of sc_method");
+#ifdef SYSTEMCASS_SPECIFIC
+    constant();
+#else
+    SC_METHOD (constant);
+//     dont_initialize ();
+#endif
+
     SC_METHOD (transition);
     dont_initialize ();
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU_constant.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU_constant.cpp	(revision 131)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU_constant.cpp	(revision 131)
@@ -0,0 +1,32 @@
+#ifdef SYSTEMC
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Victim_Pseudo_LRU.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace generic {
+namespace victim {
+namespace victim_pseudo_lru {
+
+  void Victim_Pseudo_LRU::constant (void)
+  {
+    for (uint32_t i=0; i<_param->_nb_access; i++)
+      {
+	internal_ACCESS_ACK [i] = 1;
+	PORT_WRITE (out_ACCESS_ACK [i], internal_ACCESS_ACK [i]);
+      }
+  };
+
+}; // end namespace victim_pseudo_lru
+}; // end namespace victim
+}; // end namespace generic
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_allocation.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_allocation.cpp	(revision 131)
@@ -28,9 +28,9 @@
     log_printf(FUNC,Victim,FUNCTION,"Begin");
 
-    
+#ifdef SYSTEMCASS_SPECIFIC
     // ~~~~~[ Interface : "" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
     {
-      __ALLOC0_SIGNAL(in_CLOCK ,"in_CLOCK" ,SC_CLOCK          );
-      __ALLOC0_SIGNAL(in_NRESET,"in_NRESET",SC_IN (Tcontrol_t));
+      __ALLOC0_SIGNAL    (in_CLOCK ,"in_CLOCK" ,SC_CLOCK          );
+      __ALLOC0_SIGNAL    (in_NRESET,"in_NRESET",SC_IN(Tcontrol_t));
     }
 
@@ -49,4 +49,5 @@
       __ALLOC1_INTERFACE_END(_param->_nb_access);
     }
+#endif
 
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -88,4 +89,5 @@
       case VICTIM_PSEUDO_LRU  :
 	{
+#ifdef SYSTEMCASS_SPECIFIC
 	  {
 	    (*(_component_victim_pseudo_lru-> in_CLOCK )) (*( in_CLOCK));
@@ -103,5 +105,14 @@
 	      (*(_component_victim_pseudo_lru->out_ACCESS_VICTIM  [i])) (*(out_ACCESS_VICTIM  [i]));
 	    }
-
+#else
+           in_CLOCK          = _component_victim_pseudo_lru-> in_CLOCK         ;
+           in_NRESET         = _component_victim_pseudo_lru-> in_NRESET        ;
+           in_ACCESS_VAL     = _component_victim_pseudo_lru-> in_ACCESS_VAL    ;
+          out_ACCESS_ACK     = _component_victim_pseudo_lru->out_ACCESS_ACK    ;
+           in_ACCESS_ADDRESS = _component_victim_pseudo_lru-> in_ACCESS_ADDRESS;
+           in_ACCESS_HIT     = _component_victim_pseudo_lru-> in_ACCESS_HIT    ;
+           in_ACCESS_ENTITY  = _component_victim_pseudo_lru-> in_ACCESS_ENTITY ;
+          out_ACCESS_VICTIM  = _component_victim_pseudo_lru->out_ACCESS_VICTIM ;
+#endif
 	  break;
 	}
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_deallocation.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_deallocation.cpp	(revision 131)
@@ -35,4 +35,5 @@
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
+#ifdef SYSTEMCASS_SPECIFIC
 	delete    in_CLOCK ;
 	delete    in_NRESET;
@@ -56,4 +57,5 @@
 	delete []  in_ACCESS_ENTITY ;
 	delete [] out_ACCESS_VICTIM ;
+#endif
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest	(revision 131)
@@ -25,9 +25,11 @@
 #MODELTECH_LIBRARY               = $(LIBRARY)
 
-EXEC_PREFIX 			= $(VALGRIND)
+EXEC_PREFIX 			= 
+#$(VALGRIND)
 EXEC_PARAMS 			= $(SYSTEMC_EXEC_PARAMS_$(SIMULATOR_SYSTEMC))
 EXEC_LOG			= $(patsubst $(DIR_CFG_GEN)/%.cfg,$(DIR_LOG)/%.exec.log,$(wildcard $(DIR_CFG_GEN)/*.cfg))	\
 				  $(patsubst $(DIR_CFG_USER)/%.cfg,$(DIR_LOG)/%.exec.log,$(wildcard $(DIR_CFG_USER)/*.cfg))
-EXEC				= soft
+BIN				= Selftest.x
+EXEC				= $(DIR_BIN)/$(BIN)
 
 #-----[ Rules ]--------------------------------------------
@@ -41,5 +43,5 @@
 				@\
 				$(MAKE) library;\
-                                $(MAKE) $(DIR_BIN)/$(EXEC).x;
+                                $(MAKE) $(EXEC);
 
 execute_only                    : 
@@ -170,8 +172,8 @@
 				done;
 
-$(DIR_LOG)/%.exec.log		: %.cfg  $(EXEC).x
+$(DIR_LOG)/%.exec.log		: %.cfg  $(EXEC)
 				@\
 				$(ECHO) "Execute            : $*";\
-				export SYSTEMC=$(SYSTEMC_$(SIMULATOR_SYSTEMC)); $(EXEC_PREFIX) $(DIR_BIN)/$(EXEC).x $(EXEC_PARAMS) $* `$(CAT) $<` &> $@; \
+				export SYSTEMC=$(SYSTEMC_$(SIMULATOR_SYSTEMC)); $(EXEC_PREFIX) $(EXEC) $(EXEC_PARAMS) $* `$(CAT) $<` &> $@; \
 				declare timing=`$(GREP) -h "Timing"  $@`;		\
                                 $(GREP) -q "Timing"  $@; 				\
@@ -224,5 +226,5 @@
 				@$(RM) 	$(DIR_LOG)		\
 					$(DIR_CFG_USER)/*~	\
-					$(DIR_BIN)/$(EXEC).x	\
+					$(EXEC)                 \
 					*.vhdl			\
 					*.pos			\
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Model.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Model.h	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Model.h	(revision 131)
@@ -31,6 +31,6 @@
   class Model
   {
-  private : static const model_type_t default_type  = MODEL_SYSTEMC;
-  private : static const bool         default_debug = false;
+  private : model_type_t default_type ;
+  private : bool         default_debug;
 
   private : std::map<std::string,model_t> models;
@@ -38,4 +38,5 @@
   public  :               Model (void);
   public  :              ~Model (void);
+  public  : void         set_model (                       model_type_t type, bool debug);
   public  : void         set_model (std::string component, model_type_t type, bool debug);
   public  : model_type_t get_type  (std::string component);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 131)
@@ -10,9 +10,9 @@
 #define MORPHEO_MAJOR_VERSION "0"
 #define MORPHEO_MINOR_VERSION "2"
-#define MORPHEO_REVISION      "130"
+#define MORPHEO_REVISION      "131"
 #define MORPHEO_CODENAME      "Castor"
 
-#define MORPHEO_DATE_DAY      "30"  
-#define MORPHEO_DATE_MONTH    "06"
+#define MORPHEO_DATE_DAY      "08"  
+#define MORPHEO_DATE_MONTH    "07"
 #define MORPHEO_DATE_YEAR     "2009" 
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp	(revision 131)
@@ -51,9 +51,12 @@
 
     // If all is ok, mapping
-    log_printf(TRACE,Behavioural,FUNCTION, _("Signal \"%s.%s\"\tlink with \"%s.%s\"")
-	       ,entity_src ->get_name().c_str()
-	       ,signal_src ->get_name().c_str()
-	       ,entity_dest->get_name().c_str()
-	       ,signal_dest->get_name().c_str());
+    log_printf(TRACE,Behavioural,FUNCTION, _("Signal \"%s.%s\" (0x%x) \tlink with \"%s.%s\" (0x%x)")
+	       ,     entity_src ->get_name().c_str()
+	       ,     signal_src ->get_name().c_str()
+	       ,(int)signal_src ->get_sc_signal()
+	       ,     entity_dest->get_name().c_str()
+	       ,     signal_dest->get_name().c_str()
+	       ,(int)signal_dest->get_sc_signal()
+               );
 
     // need an internal signal ?
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Model.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Model.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Model.cpp	(revision 131)
@@ -18,4 +18,7 @@
 //     log_begin(Behavioural,FUNCTION);
 
+    default_type  = MODEL_SYSTEMC;
+    default_debug = false;
+
     set_model(NAME_true ,MODEL_SYSTEMC,true );
     set_model(NAME_false,MODEL_SYSTEMC,false);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Model_set_model.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Model_set_model.cpp	(revision 130)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Model_set_model.cpp	(revision 131)
@@ -11,4 +11,16 @@
 namespace morpheo              {
 namespace behavioural          {
+
+#undef  FUNCTION
+#define FUNCTION "Model::set_model"
+  void Model::set_model (model_type_t type, bool debug)
+  {
+//     log_begin(Behavioural,FUNCTION);
+
+    default_type  = type ;
+    default_debug = debug;
+
+//     log_end(Behavioural,FUNCTION);
+  }
 
 #undef  FUNCTION
